Package openlink.util

## Class OPLHeapClob.BlobInputReader

- java.lang.Object
- - java.io.Reader
  - - openlink.util.OPLHeapClob.BlobInputReader

Enclosing class:
  OPLHeapClob

    protected class OPLHeapClob.BlobInputReader
    extends java.io.Reader

### Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
`protected` `BlobInputReader​(java.lang.Object lck)`
`protected` `BlobInputReader​(java.lang.Object lck, long pos, long length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close​()`
`int` `read​()`
`int` `read​(char[] b, int off, int len)`
`boolean` `ready​()`
`long` `skip​(long n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class java.io.Reader

`mark, markSupported, read, read, reset`

### Constructor Detail

#### BlobInputReader

    protected BlobInputReader​(java.lang.Object lck)

#### BlobInputReader

    protected BlobInputReader​(java.lang.Object lck,
                              long pos,
                              long length)

### Method Detail

#### read

    public int read​()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### read

    public int read​(char[] b,
                    int off,
                    int len)
             throws java.io.IOException

Specified by:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### skip

    public long skip​(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### ready

    public boolean ready​()
                  throws java.io.IOException

Overrides:
  `ready` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### close

    public void close​()

Specified by:
  `close` in class `java.io.Reader`